Package ru.bitel.oss.kernel.entity.common.event

# Class EntitySpecAttrListItemModifiedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<EntitySpecAttrListItem>
ru.bitel.oss.kernel.entity.common.event.EntitySpecAttrListItemModifiedEvent

All Implemented Interfaces:
  `Serializable`

public class EntitySpecAttrListItemModifiedEvent extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<EntitySpecAttrListItem>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

  `newItem, oldItem`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EntitySpecAttrListItemModifiedEvent()`
  ``
  `EntitySpecAttrListItemModifiedEvent(int moduleId, int userId, EntitySpecAttrListItem oldValue, EntitySpecAttrListItem newValue)`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

  `getNewItem, getOldItem`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EntitySpecAttrListItemModifiedEvent

    protected EntitySpecAttrListItemModifiedEvent()

  - ### EntitySpecAttrListItemModifiedEvent

    public EntitySpecAttrListItemModifiedEvent(int moduleId, int userId, EntitySpecAttrListItem oldValue, EntitySpecAttrListItem newValue)